[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.GetFieldData

Get the data for a field

## Declaration

Source position: line 0

`public function TDataSet.GetFieldData(`
`Field: TField;`
`Buffer: Pointer`
`):Boolean; virtual; overload; function TDataSet.GetFieldData(`
`Field: TField;`
`Buffer: Pointer;`
`NativeFormat: Boolean`
`):Boolean; virtual; overload;`

## Arguments

`Field` |  | Field for which the data should be fetched
`Buffer` |  | Buffer in which the data should be copied

## Function result

True if data was available, false if no data was available.

## Arguments

`Field` |  | Field for which the data should be fetched
`Buffer` |  | Buffer in which the data should be copied
`NativeFormat` |  | Should the data be in native format

## Description

GetFieldData should copy the data for field Field from the internal dataset memory buffer into the memory pointed to by Buffer. This function is not intended for use by end-user applications, and should be used only in descendent classes, where it can be overridden. The function should return True if data was available and has been copied, or False if no data was available (in which case the field has value Null). The NativeFormat determines whether the data should be in native format (e.g. whether the date/time values should be in TDateTime format).

## Errors

No checks are performed on the validity of the memory buffer

## See also

TField.DisplayText |  | Formatted field value

Documentation generated on: Feb 26 2014